<?xml version="1.0" encoding="Shift_JIS" ?>
<!-- Mozilla/Netscape7XSLTvZbT@\ɂ́AWebT[o[.htaccessȂǂɈȉ̐ݒ܂ -->
<!-- AddType application/xml .xml -->
<!-- AddType application/xml .rdf -->
<!-- AddType application/xml .xsl -->

<xsl:stylesheet version="1.0"
 xmlns="http://www.w3.org/1999/xhtml"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
 xmlns:rss="http://purl.org/rss/1.0/"
 xmlns:dc="http://purl.org/dc/elements/1.1/"
 xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/"
 xmlns:cc="http://web.resource.org/cc/"
 xmlns:admin="http://webns.net/mvcb/"
 xmlns:ag="http://purl.org/rss/modules/aggregation/"
 xmlns:dcterms="http://purl.org/dc/terms/"
 xmlns:syn="http://purl.org/rss/1.0/modules/syndication/"
 xmlns:content="http://purl.org/rss/1.0/modules/content/"
 exclude-result-prefixes="xsl rdf rss dc trackback ag">

 <xsl:output version="1.0"
  method="xml"
  encoding="Shift_JIS"
  doctype-public="-//W3C//DTD XHTML 1.1//EN"
  doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"
  indent="yes"
  omit-xml-declaration="no"
  media-type="text/html" />

 <xsl:template match="/">
  <xsl:apply-templates select="rdf:RDF" />
 </xsl:template>

 <xsl:template match="rdf:RDF">
  <xsl:variable name="number_of_items" select="count(rss:item)" />
  <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja">
   <head>
    <title>[<xsl:value-of select="rss:channel/rss:title" />] as RSS</title>
    <link rel="stylesheet" type="text/css" href="akiary.css" media="all" title="akiary_css" />
    <link rel="stylesheet" type="text/css" href="default.css" media="all" />
<!-- tDiarye[}𗬗pł܂ -->
   </head>
   <body>
    <h1>
     <xsl:apply-templates select="rss:image" />
     <xsl:value-of select="rss:channel/rss:title" />
    </h1>
    <div class="day">
     <div class="body">
      <p>́A
       <a>
        <xsl:attribute name="href"><xsl:value-of select="rss:channel/rss:link" /></xsl:attribute>
        <xsl:value-of select="rss:channel/rss:title" />
       </a>
RSSiTCg̃RecɂāAvXVXML`ŔzḾjłB<br />
RSSΉ̃AvP[Vɂ́AȉURIi̓AhXo[ɕ\ĂURIjݒ肵ĂB<br />
       <br />
       <code>
        <a>
         <xsl:attribute name="href"><xsl:value-of select="rss:channel/@rdf:about" /></xsl:attribute>
         <xsl:value-of select="rss:channel/@rdf:about" />
        </a>
       </code>
<!-- ӏBchannelvfrdf:about̒lARSSURIɂȂĂȂP[X -->
      </p>
     </div>
     <p>
      <br />
     </p>
    </div>
    <div class="day">
     <h2>
      <span class="title">TCg̊Tv</span>
     </h2>
     <div class="body">
      <div class="section">
<xsl:if test="string-length(rss:channel/dc:date) &gt; 0">
       <div class="lm">
        ŏIXVF<xsl:value-of select="translate(rss:channel/dc:date, 'T', ' ')" />
       </div>
</xsl:if>
       <p class="p">
        <xsl:value-of select="rss:channel/rss:description" /><br />
       </p>
      </div>
     </div>
     <p>
      <br />
     </p>
    </div>
    <div class="day">
     <h2>
      <span class="title">ŐVL̊Tv</span>
     </h2>
     <p>
iŐV <xsl:value-of select="$number_of_items" />j<br />
     </p>
     <xsl:apply-templates select="rss:item" />
     <p>
      <br />
     </p>
    </div>
    <div class="footer">
     <a>
      <xsl:attribute name="href"><xsl:value-of select="rss:channel/rss:link" /></xsl:attribute>
      HOMEi<xsl:value-of select="rss:channel/rss:title" />j
     </a>
     <br />
<xsl:if test="string-length(rss:channel/dc:rights) = 0">
     <xsl:value-of select="rss:channel/dc:creator" /><br />
</xsl:if>
     <xsl:value-of select="rss:channel/dc:rights" /><br />
    </div>
   </body>
  </html>
 </xsl:template>

 <xsl:template match="rss:item">
  <div class="body">
   <div class="section">
    <h3>
     <a>
      <xsl:attribute name="href"><xsl:value-of select="rss:link" /></xsl:attribute>
      <span class="title"><xsl:value-of select="rss:title" /></span>
     </a>
<xsl:if test="string-length(dc:date) &gt; 0">
     <div class="lm">
      <xsl:value-of select="translate(dc:date, 'T', ' ')" />
     </div>
</xsl:if>
    </h3>
    <p class="p">
     <b>
      <xsl:value-of select="ag:source" />
      <xsl:value-of select="dc:publisher" />
<xsl:if test="string-length(dc:subject) &gt; 0">
      <xsl:value-of select="dc:subject" />
</xsl:if>
     </b><br />
     <xsl:value-of select="rss:description" /><br />
    </p>
   </div>
  </div>

<xsl:if test="count(trackback:ping) &gt; 0">
  <xsl:apply-templates select="trackback:ping" />
</xsl:if>

<xsl:if test="count(trackback:about) &gt; 0">
  <div class="refererlist">
   <div class="caption">
    ̋L瑗MTrackBack
    (<xsl:value-of select="count(trackback:about)" />)
   </div>
   <ul>
    <xsl:for-each select="trackback:about">
     <li>
      <xsl:value-of select="@rdf:resource" />
     </li>
    </xsl:for-each>
   </ul>
  </div>
</xsl:if>
  <br />
  <br />
 </xsl:template>

 <xsl:template match="rss:image">
  <a>
   <xsl:attribute name="href"><xsl:value-of select="rss:link" /></xsl:attribute>
   <img border="0" class="right">
    <xsl:attribute name="src"><xsl:value-of select="rss:url" /></xsl:attribute>
    <xsl:attribute name="alt"><xsl:value-of select="rss:title" /></xsl:attribute>
   </img></a>
 </xsl:template>

 <xsl:template match="trackback:ping">
  <div class="referer">
   <div class="caption">
    MTrackBack
   </div>
   <a>
    <xsl:attribute name="href"><xsl:value-of select="." /><xsl:value-of select="@rdf:resource" />?__mode=rss</xsl:attribute>
    RSS`ŕ\
   </a>
   <br />
   T[oɂẮA܂@\Ȃꍇ܂B<br />
  </div>
 </xsl:template>

</xsl:stylesheet>
